Bug 580658 - Review Request: nall - A simple, non-intrusive, everything notifier in the system tray
Summary: Review Request: nall - A simple, non-intrusive, everything notifier in the sy...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Gieseking
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-08 18:11 UTC by Christian Krause
Modified: 2010-04-15 03:17 UTC (History)
3 users (show)

Fixed In Version: nall-1.0-3.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-15 03:12:40 UTC
martin.gieseking: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Christian Krause 2010-04-08 18:11:05 UTC
Spec URL: http://chkr.fedorapeople.org/review/nall.spec
SRPM URL: http://chkr.fedorapeople.org/review/nall-1.0-1.fc11.src.rpm
Description: 
Nall is a small gtk+ application that discretely fits into your freedesktop
system tray (such as trayer).

Its purpose is to spawn periodically every kind of script and display a
one-line output in the tooltip window. The main usage of nall is monitoring or
just notifying of almost everything (it just depends upon your imagination and
ability to script).

Comment 1 Martin Gieseking 2010-04-08 19:11:07 UTC
Hi Christian,

here are a couple of initial comments:

- the .desktop must be properly installed
  (see https://fedoraproject.org/wiki/Packaging/Guidelines#desktop)

- drop INSTALL from %doc as it's not of much use in a binary rpm

- in %files, add a trailing slash to %{_datadir}/nall to indicate that a folder is added

- in Source0 and %files, replace "nall" with %{name}

Comment 2 Christian Krause 2010-04-08 21:50:46 UTC
Hi Martin,

thanks for your comments!

(In reply to comment #1)
> - the .desktop must be properly installed
>   (see https://fedoraproject.org/wiki/Packaging/Guidelines#desktop)

fixed

> - drop INSTALL from %doc as it's not of much use in a binary rpm

fixed

> - in %files, add a trailing slash to %{_datadir}/nall to indicate that a folder
> is added

fixed

> - in Source0 and %files, replace "nall" with %{name}    

I have replace one occurence in the %files section, but the main part of the Source0 URL have left as it is. Since the URL and the download directory can more or less arbitrarily chosen by upstream, I don't think that we should use rpm variables here. Sure, for the filename itself it makes sense, because in general we want that filename and package name match.

Spec URL: http://chkr.fedorapeople.org/review/nall.spec
SRPM URL: http://chkr.fedorapeople.org/review/nall-1.0-2.fc11.src.rpm

Comment 3 Martin Gieseking 2010-04-09 14:22:16 UTC
Hi Christian,

(In reply to comment #2)
> I have replace one occurence in the %files section, but the main part of the
> Source0 URL have left as it is. Since the URL and the download directory can
> more or less arbitrarily chosen by upstream, I don't think that we should use
> rpm variables here.

OK, that's fine. 

Here comes the formal review. The package looks pretty clean now. I just suggest another minor enhancement:
Although %{_bindir}/* adds the correct file at the moment, using "*" could become a bit dangerous here. It's better to be more restrictive and give the actual name of the added file: %{_bindir}/%{name}


$ rpmlint /var/lib/mock/fedora-12-i386/result/*.rpm
nall.i686: W: spelling-error %description -l en_US gtk -> gt, gt k, GTE
nall.i686: W: spelling-error %description -l en_US freedesktop -> free desktop, free-desktop, desktop
nall.i686: W: spelling-error %description -l en_US trayer -> tracer, trader, grayer
nall.i686: W: spelling-error %description -l en_US tooltip -> tool tip, tool-tip, toolkit
nall.src: W: spelling-error %description -l en_US gtk -> gt, gt k, GTE
nall.src: W: spelling-error %description -l en_US freedesktop -> free desktop, free-desktop, desktop
nall.src: W: spelling-error %description -l en_US trayer -> tracer, trader, grayer
nall.src: W: spelling-error %description -l en_US tooltip -> tool tip, tool-tip, toolkit
3 packages and 0 specfiles checked; 0 errors, 8 warnings.

These spelling errors can be ignored.

---------------------------------
keys used in following checklist:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: The file containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
    $ md5sum nall-1.0.tar.gz*
    e5fb9cb30e40f09a799319cde9fd5de9  nall-1.0.tar.gz
    e5fb9cb30e40f09a799319cde9fd5de9  nall-1.0.tar.gz.1

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
    koji scratch builds:
    F-12: http://koji.fedoraproject.org/koji/taskinfo?taskID=2105608
    F-13: http://koji.fedoraproject.org/koji/taskinfo?taskID=2105586

[.] MUST: If the package does not successfully compile, build or work on an architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[+] MUST: The spec file MUST handle locales properly.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files ...
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. 
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: .so (without suffix) must go in a -devel package.
[.] MUST: devel packages must require the base package
[.] MUST: Packages must NOT contain any .la libtool archives.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop file 
[+] MUST: The .desktop file must be properly installed with desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures. 
[+] SHOULD: The reviewer should test that the package functions as described.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.

Comment 4 Christian Krause 2010-04-09 18:48:47 UTC
(In reply to comment #3)
> Although %{_bindir}/* adds the correct file at the moment, using "*" could
> become a bit dangerous here. It's better to be more restrictive and give the
> actual name of the added file: %{_bindir}/%{name}

Fixed:

Spec URL: http://chkr.fedorapeople.org/review/nall.spec
SRPM URL: http://chkr.fedorapeople.org/review/nall-1.0-3.fc11.src.rpm

Comment 5 Martin Gieseking 2010-04-09 18:59:44 UTC
Now everything looks fine and we can finish here.

----------------
Package APPROVED
----------------

Comment 6 Christian Krause 2010-04-09 19:06:04 UTC
Thanks, Martin!

New Package CVS Request
=======================
Package Name: nall
Short Description: A simple, non-intrusive, everything notifier in the system tray
Owners: chkr
Branches: F-12, F-13
InitialCC:

Comment 7 Kevin Fenzi 2010-04-11 19:21:41 UTC
CVS done (by process-cvs-requests.py).

Comment 8 Fedora Update System 2010-04-13 21:16:23 UTC
nall-1.0-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/nall-1.0-3.fc13

Comment 9 Fedora Update System 2010-04-13 21:17:23 UTC
nall-1.0-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/nall-1.0-3.fc12

Comment 10 Fedora Update System 2010-04-15 03:12:34 UTC
nall-1.0-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-04-15 03:16:56 UTC
nall-1.0-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.